Bug 249663 - devel/py-utils: depends on python 2.x
Summary: devel/py-utils: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: http://www.voidspace.org.uk/python/py...
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:25 UTC by Steve Wills
Modified: 2020-11-16 18:54 UTC (History)
3 users (show)

See Also:
nefar: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:25:32 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Daniel 2020-10-18 21:24:58 UTC
by all means, remove it. I haven't done anything for over a decade with it
Comment 2 Rainer Hurling freebsd_committer 2020-11-09 14:04:41 UTC
Hi Daniel,

Thanks for the feedback and your agreement about the removal of the port. It seems the sources of py-utils were last updated in 2009.


Could you please also set the flag for 'maintainer-feedback' on the top right from '?' to '+'. After the flag is changed, we are allowed to delete the port.
Comment 3 Daniel 2020-11-15 21:11:24 UTC
done 👍
Comment 4 commit-hook freebsd_committer 2020-11-16 18:47:50 UTC
A commit references this bug:

Author: rhurlin
Date: Mon Nov 16 18:47:26 UTC 2020
New revision: 555508
URL: https://svnweb.freebsd.org/changeset/ports/555508

Log:
  devel/py-utils: Removed on maintainers request, uses EOLed python27

  Port is already deprecated, has no dependents, and sources are older than a decade.

  PR:		249663
  Submitted by:	Steve Wills <swills@FreeBSD.org>
  Approved by:	arrowd (mentor), Daniel Bretoi <daniel@netwalk.org> (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D27233

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/py-utils/
Comment 5 Rainer Hurling freebsd_committer 2020-11-16 18:54:57 UTC
Committed, thanks.